Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 2)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 9, 10, 11 ... 28, 29, 30  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Fri Nov 07, 2008 8:33 pm    Post subject: Reply with quote

Grrr. There is no Lancelot menu in 4.1.72. :x

coolsnowmen wrote:
aTan wrote:
coolsnowmen wrote:
kde-crazy has amarok-1.94, use that.


Did you try it? As I wrote it has ebuilds only for 4.1 (amarok-1.94:2) and live (amarok-9999:live).



"did you try it?"
I am using that version right now. I have a full kde 4.1.72 install (minus a couple broken packages). 1.94 is the latest tag in the amarok tree, it was tagged Oct-31, why do you think it is "only for 4.1".


Here is what I get:

Code:
eix -p media-sound/amarok
[U] media-sound/amarok
     Available versions:
        (0)     1.4.8 1.4.9.1 (~)1.4.9.1-r1 1.4.10 (~)1.4.10-r1 [M](**)1.4.9999-r2
        (4.1)   (~)1.90-r1
        (2)     **1.94[1]
        (live)  (**)9999[1]
        {amazon arts cdaudio daap debug elibc_FreeBSD ifp ipod kde kdeprefix linguas_af linguas_ar linguas_az linguas_be linguas_bg linguas_bn linguas_br linguas_ca linguas_cs linguas_cy linguas_da linguas_de linguas_el linguas_en_GB linguas_eo linguas_es linguas_et linguas_eu linguas_fa linguas_fi linguas_fr linguas_ga linguas_gl linguas_he linguas_hi linguas_hu linguas_id linguas_is linguas_it linguas_ja linguas_km linguas_ko linguas_ku linguas_lo linguas_lt linguas_mk linguas_ms linguas_nb linguas_nds linguas_ne linguas_nl linguas_nn linguas_pa linguas_pl linguas_pt linguas_pt_BR linguas_ro linguas_ru linguas_rw linguas_se linguas_sk linguas_sl linguas_sq linguas_sr linguas_sr@Latn linguas_ss linguas_svlinguas_ta linguas_tg linguas_th linguas_tr linguas_uk linguas_uz linguas_zh_CN linguas_zh_TW mp3tunes mp4 mtp musicbrainz mysql njb opengl postgres python real semantic-desktop visualization xinerama}
     Installed versions:  1.4.10-r1(09:11:47 PM 10/30/2008)(kde linguas_cs linguas_ru mp4 musicbrainz opengl python visualization -amazon -daap -debug -elibc_FreeBSD -ifp -ipod -linguas_af -linguas_ar -linguas_az -linguas_be -linguas_bg -linguas_bn -linguas_br -linguas_ca -linguas_cy -linguas_da -linguas_de -linguas_el -linguas_en_GB -linguas_eo -linguas_es -linguas_et -linguas_eu -linguas_fa -linguas_fi -linguas_fr -linguas_ga -linguas_gl -linguas_he -linguas_hi -linguas_hu -linguas_id -linguas_is -linguas_it -linguas_ja -linguas_km -linguas_ko -linguas_ku -linguas_lo -linguas_lt -linguas_mk -linguas_ms -linguas_nb -linguas_nds -linguas_ne -linguas_nl -linguas_nn -linguas_pa -linguas_pl -linguas_pt -linguas_pt_BR -linguas_ro -linguas_rw -linguas_se -linguas_sk -linguas_sl -linguas_sq -linguas_sr -linguas_sr@Latn -linguas_ss -linguas_sv -linguas_ta -linguas_tg -linguas_th -linguas_tr -linguas_uk -linguas_uz -linguas_zh_CN -linguas_zh_TW -mtp -mysql -njb -postgres -real -xinerama)
     Homepage:            http://amarok.kde.org/
     Description:         Advanced audio player based on KDE framework.

[1] "kde-crazy" /system/portage-kde-crazy

Code:
emerge -vp =amarok-1.94

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=kde-base/kdelibs-4.1.2:4.1[kdeprefix]" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-4.1.2-r1 (masked by: package.mask)
/etc/portage/package.mask:
#>=dev-python/PyQt4-4.4.2
#>=x11-libs/qt-4.4.1
#<app-misc/strigi-9999

- kde-base/kdelibs-4.1.2 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "kde-base/libplasma-4.1.2" [ebuild])
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Fri Nov 07, 2008 9:04 pm    Post subject: Reply with quote

Superkaramba widgets don't work with 4.1.72 anymore. You can't install any, and installed one don't work.
Back to top
View user's profile Send private message
MemphisX
n00b
n00b


Joined: 17 Jul 2008
Posts: 5
Location: Greece

PostPosted: Fri Nov 07, 2008 11:20 pm    Post subject: Reply with quote

drescherjm wrote:
The set you want is

kde-4.2

To remove bad sets. You probably want to look in /etc/portage/sets


Thanks drescherjm but although there was no /etc/portage/sets you gave me a clue in what direction to search...

/etc/portage/sets must be a symlink to /var/lib/portage which didn't exist on my pc... I just edited /var/lib/portage/world_sets and removed "@kde-svn" entry. Now emerge seems to be working...
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Nov 08, 2008 7:05 am    Post subject: Reply with quote

@aTan

Quote:
Here is what I get:

Code:
eix -p media-sound/amarok
[U] media-sound/amarok
Available versions:
(0) 1.4.8 1.4.9.1 (~)1.4.9.1-r1 1.4.10 (~)1.4.10-r1 [M](**)1.4.9999-r2
(4.1) (~)1.90-r1
(2) **1.94[1]
(live) (**)9999[1]
{amazon arts cdaudio daap debug elibc_FreeBSD ifp ipod kde kdeprefix linguas_af linguas_ar linguas_az linguas_be linguas_bg linguas_bn linguas_br linguas_ca linguas_cs linguas_cy linguas_da linguas_de linguas_el linguas_en_GB linguas_eo linguas_es linguas_et linguas_eu linguas_fa linguas_fi linguas_fr linguas_ga linguas_gl linguas_he linguas_hi linguas_hu linguas_id linguas_is linguas_it linguas_ja linguas_km linguas_ko linguas_ku linguas_lo linguas_lt linguas_mk linguas_ms linguas_nb linguas_nds linguas_ne linguas_nl linguas_nn linguas_pa linguas_pl linguas_pt linguas_pt_BR linguas_ro linguas_ru linguas_rw linguas_se linguas_sk linguas_sl linguas_sq linguas_sr linguas_sr@Latn linguas_ss linguas_svlinguas_ta linguas_tg linguas_th linguas_tr linguas_uk linguas_uz linguas_zh_CN linguas_zh_TW mp3tunes mp4 mtp musicbrainz mysql njb opengl postgres python real semantic-desktop visualization xinerama}
Installed versions: 1.4.10-r1(09:11:47 PM 10/30/2008)(kde linguas_cs linguas_ru mp4 musicbrainz opengl python visualization -amazon -daap -debug -elibc_FreeBSD -ifp -ipod -linguas_af -linguas_ar -linguas_az -linguas_be -linguas_bg -linguas_bn -linguas_br -linguas_ca -linguas_cy -linguas_da -linguas_de -linguas_el -linguas_en_GB -linguas_eo -linguas_es -linguas_et -linguas_eu -linguas_fa -linguas_fi -linguas_fr -linguas_ga -linguas_gl -linguas_he -linguas_hi -linguas_hu -linguas_id -linguas_is -linguas_it -linguas_ja -linguas_km -linguas_ko -linguas_ku -linguas_lo -linguas_lt -linguas_mk -linguas_ms -linguas_nb -linguas_nds -linguas_ne -linguas_nl -linguas_nn -linguas_pa -linguas_pl -linguas_pt -linguas_pt_BR -linguas_ro -linguas_rw -linguas_se -linguas_sk -linguas_sl -linguas_sq -linguas_sr -linguas_sr@Latn -linguas_ss -linguas_sv -linguas_ta -linguas_tg -linguas_th -linguas_tr -linguas_uk -linguas_uz -linguas_zh_CN -linguas_zh_TW -mtp -mysql -njb -postgres -real -xinerama)
Homepage: http://amarok.kde.org/
Description: Advanced audio player based on KDE framework.

[1] "kde-crazy" /system/portage-kde-crazy

Code:
emerge -vp =amarok-1.94

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy ">=kde-base/kdelibs-4.1.2:4.1[kdeprefix]" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-4.1.2-r1 (masked by: package.mask)
/etc/portage/package.mask:
#>=dev-python/PyQt4-4.4.2
#>=x11-libs/qt-4.4.1
#<app-misc/strigi-9999

- kde-base/kdelibs-4.1.2 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "kde-base/libplasma-4.1.2" [ebuild])


The amarok-1.94 ebuild, has >=libplasma-4.1.2 in it's dependencies. As libplasma has been merged in kdelibs, you just have to remove this dependencies in the ebuild, and then do a :

Code:
# ebuild /usr/portage/local/layman/kde-crazy/media-sound/amarok/amarok-1.94.ebuild digest


Then, it should work fine ;)
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Sat Nov 08, 2008 8:49 am    Post subject: Reply with quote

earendilion wrote:

The amarok-1.94 ebuild, has >=libplasma-4.1.2 in it's dependencies. As libplasma has been merged in kdelibs, you just have to remove this dependencies in the ebuild, and then do a :

Code:
# ebuild /usr/portage/local/layman/kde-crazy/media-sound/amarok/amarok-1.94.ebuild digest


Then, it should work fine ;)


I've tried it before and it doesn't work for me. There are file collisions.

Code:
 * kde-base/plasma-workspace-4.1.72                                     
 *      /usr/kde/4.2/lib64/kde4/plasma_animator_default.so               
 *      /usr/kde/4.2/share/kde4/services/plasma-animator-default.desktop
 *                                                                       
 * kde-base/kdelibs-4.1.72                                               
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-animator.desktop     
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-applet.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-containment.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-dataengine.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-runner.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-scriptengine.desktop
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Nov 08, 2008 11:12 am    Post subject: Reply with quote

@aTan : i figured that also...don't know how to solve it for the moment...

Since I emerge KDE 4.1.72 I have lost all the shortcuts : Alt+F2 to launch krunner, Ctrl+F12 to launch Dashboard etc... has anyone the same problem ?
Back to top
View user's profile Send private message
Loibisch
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 89

PostPosted: Sat Nov 08, 2008 11:53 am    Post subject: Reply with quote

Try (re-)merging kde-base/kdedglobalaccel
Back to top
View user's profile Send private message
Loibisch
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 89

PostPosted: Sat Nov 08, 2008 11:57 am    Post subject: Reply with quote

aTan wrote:

I've tried it before and it doesn't work for me. There are file collisions.

Code:
 * kde-base/plasma-workspace-4.1.72                                     
 *      /usr/kde/4.2/lib64/kde4/plasma_animator_default.so               
 *      /usr/kde/4.2/share/kde4/services/plasma-animator-default.desktop
 *                                                                       
 * kde-base/kdelibs-4.1.72                                               
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-animator.desktop     
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-applet.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-containment.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-dataengine.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-runner.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-scriptengine.desktop


You can work around those file collisions by make the other packages temporarily "forget" their contents.
Just temporarily move these two files somewhere else before emerging amarok:
/var/db/pkg/kde-base/kdelibs-4.1.72/CONTENTS
/var/db/pkg/kde-base/plasma-workspace-4.1.72/CONTENTS

After emerging amarok you can move them back. To be one the safe side I then manually removed those files from the file located at /var/db/pkg/media-sound/amarok-1.94/CONTENTS.

Amarok works fine...well, aside the fact that the layout and skin of amarok2 is ugly as hell. I'd prefer the clean look of Songbird, but that one is unable to continuously play files without skipping on a track change.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sat Nov 08, 2008 12:38 pm    Post subject: Reply with quote

Loibisch wrote:
aTan wrote:

I've tried it before and it doesn't work for me. There are file collisions.

Code:
 * kde-base/plasma-workspace-4.1.72                                     
 *      /usr/kde/4.2/lib64/kde4/plasma_animator_default.so               
 *      /usr/kde/4.2/share/kde4/services/plasma-animator-default.desktop
 *                                                                       
 * kde-base/kdelibs-4.1.72                                               
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-animator.desktop     
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-applet.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-containment.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-dataengine.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-runner.desktop
 *      /usr/kde/4.2/share/kde4/servicetypes/plasma-scriptengine.desktop


You can work around those file collisions by make the other packages temporarily "forget" their contents.
Just temporarily move these two files somewhere else before emerging amarok:
/var/db/pkg/kde-base/kdelibs-4.1.72/CONTENTS
/var/db/pkg/kde-base/plasma-workspace-4.1.72/CONTENTS

After emerging amarok you can move them back. To be one the safe side I then manually removed those files from the file located at /var/db/pkg/media-sound/amarok-1.94/CONTENTS.

Amarok works fine...well, aside the fact that the layout and skin of amarok2 is ugly as hell. I'd prefer the clean look of Songbird, but that one is unable to continuously play files without skipping on a track change.


why is this mess forced on us ?

why can't we disable collision-protect like in the good ol' days ? if we mess with our system's integrity it's our problem - isn't it ? (for those advanced and experienced users)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Sat Nov 08, 2008 12:58 pm    Post subject: Reply with quote

I know how to override it, but I just don't want to. Is it possible to make amarok ebuild to remove those files from its installation and leave files from kdelibs? For now I've solved it by fixing live amarok ebuild for 4.2 slot, amarok from trunk don't have any collisions.


The only things I need to fix are kweather-4.1.72 (how can I use it in KDE4?!), missing lancelot (1.0.3 from portage fails to compile with 4.1.72) and most of plasmoids (fails to build) - I like using quickaccess and supercaramba (doesn't work at all) piconet (isn't in the overlay).


Last edited by aTan on Sat Nov 08, 2008 1:27 pm; edited 3 times in total
Back to top
View user's profile Send private message
Loibisch
Tux's lil' helper
Tux's lil' helper


Joined: 03 Jan 2006
Posts: 89

PostPosted: Sat Nov 08, 2008 1:03 pm    Post subject: Reply with quote

kernelOfTruth wrote:
why is this mess forced on us ?

why can't we disable collision-protect like in the good ol' days ? if we mess with our system's integrity it's our problem - isn't it ? (for those advanced and experienced users)

Amen!
Back to top
View user's profile Send private message
earendilion
Tux's lil' helper
Tux's lil' helper


Joined: 26 Nov 2007
Posts: 115
Location: Meudon (92), France

PostPosted: Sat Nov 08, 2008 2:04 pm    Post subject: Reply with quote

Quote:
Try (re-)merging kde-base/kdedglobalaccel


Thanx Loibisch it worked...

Now that I think of it, I've another problem (one at a time, he...) : When I plug a USB device, nothing happends in the Device notifier... Maybe I forgot to install something (as I use kdebase-startkde...)
Back to top
View user's profile Send private message
reavertm
Developer
Developer


Joined: 05 Feb 2004
Posts: 264
Location: Wrocław

PostPosted: Sun Nov 09, 2008 1:41 am    Post subject: Reply with quote

I guess you need hal in USE flags at least.
_________________
Maciek
Back to top
View user's profile Send private message
coolsnowmen
Veteran
Veteran


Joined: 30 Jun 2004
Posts: 1479
Location: No.VA

PostPosted: Sun Nov 09, 2008 3:49 am    Post subject: Reply with quote

earendilion wrote:
...When I plug a USB device, nothing happends in the Device notifier... Maybe I forgot to...

Does automounting work in any other environment? (kde-3.5, gnome, ...)
As in, are you sure you have the right other USE flags (as previous poster noted), packages, and permissions?
_________________
emerge: there are no ebuilds to satisfy "moo"
Back to top
View user's profile Send private message
Dusdan
n00b
n00b


Joined: 10 Mar 2008
Posts: 37

PostPosted: Sun Nov 09, 2008 9:56 am    Post subject: Reply with quote

networkmanager-0.7 has disappeared from the overlay and solid doesn't build anymore: what should I do? Besides waiting, of course ;-)
Back to top
View user's profile Send private message
lmmsci
Apprentice
Apprentice


Joined: 20 May 2006
Posts: 190

PostPosted: Sun Nov 09, 2008 10:21 am    Post subject: Reply with quote

Hello,
I've got such a question. I've found very useful (for me, I mean) widget called quickaccess. Now I've also KDE 4.1.72 installed, where libplasma is removed. Unfortunately quickaccess needs it - as I guess - to compile. What can I do to provide necessary files, those from libplasma. It does not depend if I'm trying to install quickaccess via emerge or manually, problem is the same.
I've made such a step (due to README instructions of quicaccess):
Code:
lmmsci@valinor ~/own/tmp_install/quickaccess-0.7.1 $ cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

which produced:
Code:
-- Found Qt-Version 4.4.2 (using /usr/bin/qmake)
-- Found X11: /usr/lib/libX11.so
-- Found KDE 4.2 include dir: /usr/kde/4.2/include
-- Found KDE 4.2 library dir: /usr/kde/4.2/lib
-- Found KDE4 kconfig_compiler preprocessor: /usr/kde/4.2/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Configuring done
-- Generating done
-- Build files have been written to: /home/lmmsci/own/tmp_install/quickaccess-0.7.1


Then, theoretically speaking, everything should go fine. But it doesn't:

Code:
lmmsci@valinor ~/own/tmp_install/quickaccess-0.7.1 $ make
[  6%] Generating ui_pluginwidgetbase.h
Generating button.moc
Generating settings.moc
Generating pluginwidget.moc
Generating iconmanager.moc
Generating itemview.moc
Generating resizedialog.moc
Generating quickaccess.moc
Generating popupdialog.moc
Generating dirmodel.moc
Generating moc_label.cpp
Generating moc_pluginmodel.cpp
[ 13%] Generating ui_quickaccessConfig.h
Scanning dependencies of target plasma_applet_quickaccess
[ 20%] Building CXX object CMakeFiles/plasma_applet_quickaccess.dir/plasma_applet_quickaccess_automoc.o
[ 26%] Building CXX object CMakeFiles/plasma_applet_quickaccess.dir/quickaccess.o
In file included from /home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:22:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.h:25:33: error: plasma/widgets/icon.h: No such file or directory
In file included from /home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:22:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.h:66: error: ISO C++ forbids declaration of ‘Icon’ with no type
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.h:66: error: invalid use of ‘::’
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.h:66: error: expected ‘;’ before ‘*’ token
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp: In constructor ‘QuickAccess::QuickAccess(QObject*, const QVariantList&)’:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:43: error: class ‘QuickAccess’ does not have any field named ‘m_icon’
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:43: error: expected type-specifier
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:43: error: expected `)'
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp: In destructor ‘virtual QuickAccess::~QuickAccess()’:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:65: error: ‘m_icon’ was not declared in this scope
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp: In member function ‘virtual void QuickAccess::init()’:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:85: error: ‘m_icon’ was not declared in this scope
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp: In member function ‘void QuickAccess::applySettings(Settings::SettingsType)’:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:108: error: ‘m_icon’ was not declared in this scope
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp: In member function ‘PopupDialog* QuickAccess::dialog()’:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:248: error: ‘m_icon’ was not declared in this scope
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp: In member function ‘void QuickAccess::slot_iconClicked()’:
/home/lmmsci/own/tmp_install/quickaccess-0.7.1/quickaccess.cpp:292: error: ‘m_icon’ was not declared in this scope
make[2]: *** [CMakeFiles/plasma_applet_quickaccess.dir/quickaccess.o] Error 1
make[1]: *** [CMakeFiles/plasma_applet_quickaccess.dir/all] Error 2
make: *** [all] Error 2

There is no file icon.h in /usr/kde/4.2/include/plasma/widgets indeed.
Any suggestions?
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1159

PostPosted: Sun Nov 09, 2008 12:48 pm    Post subject: Reply with quote

silly question, i know, but i can't work it out.

emerge @kdebase-live
installs the packages but since these are live ebuilds how do i reinstall
the set? . emerge @kdebase-live the second time doesn't unmerge
the already installed before installing the updated packages.

EDIT: solved

emerge -av @kdebase-live/@kdebase-live
_________________
this is a strange strange world.


Last edited by tranquilcool on Sun Nov 09, 2008 3:07 pm; edited 2 times in total
Back to top
View user's profile Send private message
astaecker
Guru
Guru


Joined: 28 Apr 2003
Posts: 403
Location: Hamburg / Germany

PostPosted: Sun Nov 09, 2008 12:56 pm    Post subject: Reply with quote

Hi,
I'm using KDE 4.1.3 (~x86) and have a problem with installing digikam-0.10.0_beta2-r2 from the kde-testing overlay.
The build runs into a loop when compiling "digikam_automoc.o". Here is the build log. I left the compile run for hours and no progress.

Any idea ?
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Sun Nov 09, 2008 3:43 pm    Post subject: Reply with quote

I'm trying to compile kde-4.1.72 from kde-crazy overlay.

I have make the next links done:

Code:

ln -s /usr/portage/local/layman/kde-crazy/Documentation/package.keywords/ /etc/portage/package.keywords/kde42
ln -s /usr/portage/local/layman/kde-crazy/Documentation/package.unmask/ /etc/portage/package.unmask/kde42


but I'm getting the next error:

Code:


These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "kde-base/kgoldrunner:4.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kgoldrunner-4.1.72 (masked by: ~amd64 keyword)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.



Thanks for all

SOLVED

Search & replace 'live' for '4.2' in all packages.keywords


Last edited by marcus84 on Sun Nov 09, 2008 9:25 pm; edited 1 time in total
Back to top
View user's profile Send private message
aTan
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jan 2007
Posts: 134
Location: Czech Republic (Ukraine)

PostPosted: Sun Nov 09, 2008 5:04 pm    Post subject: Reply with quote

FIXED New kweather error after it was fixed
Code:
-- Found Phonon: /usr/lib64/libphonon.so                                                                                                                                         
-- Found Phonon Includes: /usr/include/KDE;/usr/include                                                                                                                           
-- Found KDE 4.2 include dir: /usr/kde/4.2/include                                                                                                                               
-- Found KDE 4.2 library dir: /usr/kde/4.2/lib64                                                                                                                                 
-- Found KDE4 kconfig_compiler preprocessor: /usr/kde/4.2/bin/kconfig_compiler                                                                                                   
-- Found automoc4: /usr/bin/automoc4                                                                                                                                             
--                                                                                                                                                                               

-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/portage/kde-base/kweather-4.1.72/work/kweather_build
>>> Source configured.                                                                                   
>>> Compiling source in /var/tmp/portage/portage/kde-base/kweather-4.1.72/work/kweather-4.1.72 ...       
make -j6                                                                                                 
>>> Source compiled.                                                                                     
>>> Test phase [not enabled]: kde-base/kweather-4.1.72

>>> Install kweather-4.1.72 into /var/tmp/portage/portage/kde-base/kweather-4.1.72/image/ category kde-base
make -j6 install DESTDIR=/var/tmp/portage/portage/kde-base/kweather-4.1.72/image/
make: *** No rule to make target `install'.  Stop.


Last edited by aTan on Mon Nov 10, 2008 7:21 pm; edited 1 time in total
Back to top
View user's profile Send private message
mkyral
Apprentice
Apprentice


Joined: 06 May 2007
Posts: 152
Location: Czech Republic

PostPosted: Sun Nov 09, 2008 6:54 pm    Post subject: Reply with quote

marcus84 wrote:

- kde-base/kgoldrunner-4.1.72 (masked by: ~amd64 keyword)

You have to enable ~amd64 keyword for all kde:4.2 packages and probably for some libraries.
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Sun Nov 09, 2008 7:06 pm    Post subject: Reply with quote

loftwyr wrote:
Dear Confused:

It's a long and twisted tale:

genkdesvn is still around as kde-experimental but is no longer an official kde overlay (homepage is http://genkdesvn.mailstation.de/)

The kde team created kde-testing for pre-portage ebuilds and kdesvn-portage for live ebuilds.

kdesvn-portage was closed and then re-opened as kde-crazy.

So, if you're looking for the official version for live ebuilds, you want kde-crazy.


and drescherjm

thanks !

I'll add that overlay as soon as those last 70 ebuilds have finished XD (emerge -e world)

update:

done

thanks to all devs (and/or community members) involved keeping these overlays up-to-date :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Nov 10, 2008 12:50 pm    Post subject: Reply with quote

guys, emerging kde-live is getting more and more cumbersome:

here the packages causing file-collisions so far :?

Quote:

• libkcompactdisc
• kwalletd
• kdebase-kioslaves
• kontact
• kcontrol
• korganizer
• khelpcenter
• umbrello


isn't there a switch which allows overriding the collision-protect ? (that still works)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Mon Nov 10, 2008 1:45 pm    Post subject: Reply with quote

kernelOfTruth wrote:
guys, emerging kde-live is getting more and more cumbersome:

here the packages causing file-collisions so far :?

Quote:

• libkcompactdisc
• kwalletd
• kdebase-kioslaves
• kontact
• kcontrol
• korganizer
• khelpcenter
• umbrello


isn't there a switch which allows overriding the collision-protect ? (that still works)

Taking a look at /etc/make.globals, try
Code:
COLLISION_IGNORE="/usr/kde/svn"
or
Code:
FEATURES="-protect-owned"

Looks like collision-protect just got renamed...

(I'm using paludis though, can't test myself)
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 6108
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Mon Nov 10, 2008 2:30 pm    Post subject: Reply with quote

gimpel wrote:
kernelOfTruth wrote:
guys, emerging kde-live is getting more and more cumbersome:

here the packages causing file-collisions so far :?

Quote:

• libkcompactdisc
• kwalletd
• kdebase-kioslaves
• kontact
• kcontrol
• korganizer
• khelpcenter
• umbrello


isn't there a switch which allows overriding the collision-protect ? (that still works)

Taking a look at /etc/make.globals, try
Code:
COLLISION_IGNORE="/usr/kde/svn"
or
Code:
FEATURES="-protect-owned"

Looks like collision-protect just got renamed...

(I'm using paludis though, can't test myself)


COLLISION_IGNORE="/usr/share/doc/HTML/en" did the trick,

thanks, gimpel,

I didn't know that it actually got renamed and/or the file /etc/make.globals exist :P

I guess I need to look more often through portage's log :roll:
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD/tree/ZFS-for-SysRescCD-4.9.0
https://github.com/kernelOfTruth/pulseaudio-equalizer-ladspa

Hardcore Gentoo Linux user since 2004 :D
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 9, 10, 11 ... 28, 29, 30  Next
Page 10 of 30

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum